## python-peachpy 0.0~git20200303.f189ad2

=== debian/changelog ===
python-peachpy (0.0~git20200303.f189ad2-3) unstable; urgency=medium

  * Move the sphinx packages from B-D-I to B-D, fixing FTBFS.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 27 Jun 2020 21:11:45 +0800

python-peachpy (0.0~git20200303.f189ad2-2) experimental; urgency=medium

  * Rename doc package from python3-*-doc to python-*-doc.

 -- Mo Zhou <lumin@debian.org>  Fri, 01 May 2020 09:33:46 +0800

python-peachpy (0.0~git20200303.f189ad2-1) experimental; urgency=medium

  * Initial release (Closes: #959184)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 30 Apr 2020 22:02:33 +0800
