=== debian/control ===
Source: python-peachpy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-six,
 python3-opcodes,
 python3-sphinx,
 python3-sphinx-bootstrap-theme,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/Maratyszcza/PeachPy
Vcs-Git: https://salsa.debian.org/science-team/python-peachpy.git
Vcs-Browser: https://salsa.debian.org/science-team/python-peachpy

Package: python3-peachpy
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-peachpy-doc,
Description: Portable Efficient Assembly Codegen in Higher-level Python (Python 3)
 PEACH-Py is a Python framework for writing high-performance assembly kernels.
 PEACH-Py is developed to simplify writing optimized assembly kernels while
 preserving all optimization opportunities of traditional assembly. Some
 PEACH-Py features:
  * Automatic register allocation
  * Stack frame management, including re-aligning of stack frame as needed
  * Generating versions of a function for different calling conventions from
    the same source (e.g. functions for Microsoft x64 ABI and System V x86-64
    ABI can be generated from the same source)
  * Allow one to define constants in the place where they are used (just like
    in high-level languages)
  * Tracking of instruction extensions used in the function.
  * Multiplexing of multiple instruction streams (helpful for software
    pipelining)
 .
 This package installs the library for Python 3.

Package: python-peachpy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-bootstrap,
Built-Using: ${sphinxdoc:Built-Using},
Multi-Arch: foreign
Description: Portable Efficient Assembly Codegen in Higher-level Python (doc)
 PEACH-Py is a Python framework for writing high-performance assembly kernels.
 PEACH-Py is developed to simplify writing optimized assembly kernels while
 preserving all optimization opportunities of traditional assembly.
 .
 This is the common documentation package.
