## python-peachpy 0.0~git20211013.257881e

=== debian/changelog ===
python-peachpy (0.0~git20211013.257881e-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60 (Closes: #1022480)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 11:31:03 +0200

python-peachpy (0.0~git20211013.257881e-1) unstable; urgency=medium

  * New upstream version 0.0~git20211013.257881e (Closes: #966250)

 -- Mo Zhou <lumin@debian.org>  Mon, 10 Jan 2022 00:28:35 -0500

python-peachpy (0.0~git20200303.f189ad2-4) unstable; urgency=medium

  * Append myself to Uploaders.
  * Fix the Vcs-Git and Vcs-Browser URLs.
  * Change python3-peachpy.Architecture to (any-amd64 x32). (Closes: #964352)
  * Make the build reproducible (Chris Lamb). (Closes: #964186)

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jul 2020 14:53:44 +0800
