=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-peachpy
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
+ Mo Zhou <lumin@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -16,11 +17,11 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/Maratyszcza/PeachPy
-Vcs-Git: https://salsa.debian.org/science-team/python-peachpy.git
-Vcs-Browser: https://salsa.debian.org/science-team/python-peachpy
+Vcs-Git: https://salsa.debian.org/deeplearning-team/python-peachpy.git
+Vcs-Browser: https://salsa.debian.org/deeplearning-team/python-peachpy
 
 Package: python3-peachpy
-Architecture: any
+Architecture: any-amd64 x32
 Depends:
  ${misc:Depends},
  ${python3:Depends},
