=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=peachpy


%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

execute_after_dh_auto_clean:
	-$(RM) -rf sphinx/html PeachPy.egg-info $(grep -lFr 'auto-generated' peachpy)

execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
		python3 -m sphinx sphinx sphinx/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-peachpy -ppython-peachpy-doc
	dh_installdocs -ppython3-peachpy

override_dh_sphinxdoc:
	dh_sphinxdoc
	-find debian -type d -name 'boots*' -path '*/_static/*' -exec $(RM) -rf '{}' \;
	-find debian -type f,l -name '*.js' -delete

execute_before_dh_link:
	-$(RM) -r \
		debian/python-peachpy-doc/usr/share/doc/python3-peachpy/html/_static/bootstrap-*
